=== modified file 'plugin/console/plugin.ini'
--- plugin/console/plugin.ini	2009-11-29 17:17:21 +0000
+++ plugin/console/plugin.ini	2010-09-15 20:24:31 +0000
@@ -1,5 +1,6 @@
 [plugin]
 title=Console Client
 description=Plugin that provides a command console in the drizzled process.
-load_by_default=yes
+load_by_default=no
+static=no
 sources=console.cc

=== modified file 'plugin/gearman_udf/plugin.ini'
--- plugin/gearman_udf/plugin.ini	2009-11-29 18:30:06 +0000
+++ plugin/gearman_udf/plugin.ini	2010-09-15 20:24:31 +0000
@@ -1,7 +1,8 @@
 [plugin]
 title=Gearman Client UDFs
 description=UDF plugin that provides a Gearman client interface
-load_by_default=yes
+load_by_default=no
+static=no
 headers=function_map.h gman_servers_set.h gman_do.h
 sources=gearman_udf.cc function_map.cc gman_servers_set.cc gman_do.cc
 build_conditional="x${ac_cv_libgearman}" = "xyes"

=== modified file 'plugin/memcached_functions/plugin.ini'
--- plugin/memcached_functions/plugin.ini	2010-08-17 20:57:43 +0000
+++ plugin/memcached_functions/plugin.ini	2010-09-15 20:24:31 +0000
@@ -2,6 +2,7 @@
 title=Memcached Client UDFs
 description=UDF plugin for libmemcached
 load_by_default=no
+static=no
 disabled=yes
 headers=memcached_functions.h 
         memc_get.h memc_get_by_key.h

=== modified file 'plugin/memcached_query_cache/plugin.ini'
--- plugin/memcached_query_cache/plugin.ini	2010-08-15 04:17:26 +0000
+++ plugin/memcached_query_cache/plugin.ini	2010-09-15 20:24:31 +0000
@@ -3,6 +3,7 @@
 author=Djellel Eddine Difallah
 description=Query Cache for Memcached
 load_by_default=no
+static=no
 disabled=yes
 headers=memcached_qc.h query_cache_service.h query_cache_udf_tools.h data_dictionary_schema.h invalidator.h
 sources=memcached_qc.cc query_cache_service.cc query_cache_udf_tools.cc data_dictionary_schema.cc invalidator.cc

=== modified file 'plugin/memcached_stats/plugin.ini'
--- plugin/memcached_stats/plugin.ini	2010-04-11 05:22:25 +0000
+++ plugin/memcached_stats/plugin.ini	2010-09-15 20:24:31 +0000
@@ -2,6 +2,7 @@
 title=Memcached Stats in DATA_DICTIONARY tables
 description=Some DATA_DICTIONARY tables that provide Memcached stats
 load_by_default=no
+static=no
 disabled=yes
 headers=stats_table.h analysis_table.h sysvar_holder.h
 sources=memcached_stats.cc stats_table.cc analysis_table.cc

=== modified file 'plugin/pool_of_threads/plugin.ini'
--- plugin/pool_of_threads/plugin.ini	2009-12-04 10:17:07 +0000
+++ plugin/pool_of_threads/plugin.ini	2010-09-15 20:24:31 +0000
@@ -3,7 +3,8 @@
 description=Pool of Threads Scheduler
 sources=pool_of_threads.cc session_scheduler.cc
 headers=pool_of_threads.h session_scheduler.h
-load_by_default=yes
+load_by_default=no
+static=no
 cxxflags=${PROTOSKIP_WARNINGS}
 ldflags=${LTLIBEVENT}
 build_conditional="x$ac_cv_libevent" = "xyes"

=== modified file 'plugin/pool_of_threads/pool_of_threads.cc'
--- plugin/pool_of_threads/pool_of_threads.cc	2010-09-15 15:44:34 +0000
+++ plugin/pool_of_threads/pool_of_threads.cc	2010-09-15 20:24:31 +0000
@@ -209,14 +209,14 @@
   char c;
   int count= 0;
 
-  pthread_mutex_lock(&LOCK_session_add);
+  LOCK_session_add.lock();
   while (! sessions_need_adding.empty())
   {
     /*
      Pop the first session off the queue 
     */
     Session* session= sessions_need_adding.front();
-    pthread_mutex_unlock(&LOCK_session_add);
+    LOCK_session_add.unlock();
 
     session_scheduler *sched= static_cast<session_scheduler *>(session->scheduler_arg);
     assert(sched);
@@ -244,7 +244,7 @@
       }
     }
 
-    pthread_mutex_lock(&LOCK_session_add);
+    LOCK_session_add.lock();
     /*
      Pop until this session is already processed
     */
@@ -260,7 +260,7 @@
     count++;
   }
   assert(count == 1);
-  pthread_mutex_unlock(&LOCK_session_add);
+  LOCK_session_add.unlock();
 }
 
 /**
@@ -336,7 +336,7 @@
   for (;;)
   {
     Session *session= NULL;
-    (void) pthread_mutex_lock(&LOCK_event_loop);
+    LOCK_event_loop.lock();
 
     /* get session(s) to process */
     while (sessions_need_processing.empty())
@@ -344,7 +344,7 @@
       if (kill_pool_threads)
       {
         /* the flag that we should die has been set */
-        (void) pthread_mutex_unlock(&LOCK_event_loop);
+        LOCK_event_loop.unlock();
         goto thread_exit;
       }
       event_loop(EVLOOP_ONCE);
@@ -355,7 +355,7 @@
     sessions_need_processing.pop();
     session_scheduler *sched= (session_scheduler *)session->scheduler_arg;
 
-    (void) pthread_mutex_unlock(&LOCK_event_loop);
+    LOCK_event_loop.lock();
 
     /* now we process the connection (session) */
 
@@ -471,7 +471,7 @@
 void PoolOfThreadsScheduler::sessionAddToQueue(session_scheduler *sched)
 {
   char c= 0;
-  pthread_mutex_lock(&LOCK_session_add);
+  boost::mutex::scoped_lock(LOCK_session_add);
   if (sessions_need_adding.empty())
   {
     /* notify libevent */
@@ -480,7 +480,6 @@
   }
   /* queue for libevent */
   sessions_need_adding.push(sched->session);
-  pthread_mutex_unlock(&LOCK_session_add);
 }
 
 
@@ -492,10 +491,6 @@
   (void) pthread_attr_init(&attr);
   (void) pthread_attr_setdetachstate(&attr, PTHREAD_CREATE_DETACHED);
   pthread_attr_setscope(&attr, PTHREAD_SCOPE_SYSTEM);
-
-  pthread_mutex_init(&LOCK_session_add, NULL);
-  pthread_mutex_init(&LOCK_event_loop, NULL);
-
 }
 
 
@@ -524,8 +519,6 @@
   close(session_kill_pipe[0]);
   close(session_kill_pipe[1]);
 
-  (void) pthread_mutex_destroy(&LOCK_event_loop);
-  (void) pthread_mutex_destroy(&LOCK_session_add);
   (void) pthread_attr_destroy(&attr);
 }
 

=== modified file 'plugin/pool_of_threads/pool_of_threads.h'
--- plugin/pool_of_threads/pool_of_threads.h	2010-09-15 15:44:34 +0000
+++ plugin/pool_of_threads/pool_of_threads.h	2010-09-15 20:24:31 +0000
@@ -42,13 +42,13 @@
 private:
   pthread_attr_t attr;
 
-  pthread_mutex_t LOCK_session_add;    /* protects sessions_need_adding */
+  boost::mutex LOCK_session_add;    /* protects sessions_need_adding */
   boost::mutex LOCK_session_kill;    /* protects sessions_to_be_killed */
   /**
    * LOCK_event_loop protects the non-thread safe libevent calls (event_add
    * and event_del) and sessions_need_processing and sessions_waiting_for_io.
    */
-  pthread_mutex_t LOCK_event_loop;
+  boost::mutex LOCK_event_loop;
 
   std::queue<drizzled::Session *> sessions_need_adding; /* queue of sessions to add to libevent queue */
   std::queue<drizzled::Session *> sessions_to_be_killed; /* queue of sessions to be killed */

=== added file 'plugin/pool_of_threads/tests/t/master.opt'
--- plugin/pool_of_threads/tests/t/master.opt	1970-01-01 00:00:00 +0000
+++ plugin/pool_of_threads/tests/t/master.opt	2010-09-15 20:24:31 +0000
@@ -0,0 +1,1 @@
+--plugin-add=pool_of_threads

=== modified file 'plugin/single_thread/plugin.ini'
--- plugin/single_thread/plugin.ini	2009-12-04 10:17:07 +0000
+++ plugin/single_thread/plugin.ini	2010-09-15 20:24:31 +0000
@@ -2,6 +2,7 @@
 headers=single_thread.h
 title=Single Thread Scheduler
 description=Single Thread Scheduler
-load_by_default=yes
+load_by_default=no
+static=no
 #uncomment when single_thread shutdown is fixed
 testsuite=disable

=== added file 'plugin/single_thread/tests/t/master.opt'
--- plugin/single_thread/tests/t/master.opt	1970-01-01 00:00:00 +0000
+++ plugin/single_thread/tests/t/master.opt	2010-09-15 20:24:31 +0000
@@ -0,0 +1,1 @@
+--plugin-add=single_thread

